@import "./colors.css";
@import "./fonts.css";

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    scroll-behavior: smooth;
}

::-webkit-scrollbar {
    display: none;
}

header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.2);
    backdrop-filter: blur(25px);
    /* background: linear-gradient(90deg, rgba(0,171,240,1) 0%, rgba(9,9,121,1) 35%, rgba(0,212,255,1) 100%); */
    padding: 15px 90px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.logo {
    font-size: 1.90rem;
    font-weight: 600;
    color: var(--text-color);
}

.main-nav {
    display: flex;
    gap: 40px;
    /* margin-left: 200px; */
}

.main-nav a {
    font-weight: 400;
    font-size: 1rem;
    transition: 0.5s ease;
}

.main-nav a:hover {
    color: var(--main-color);
}

#open-menu {
    color: var(--text-color);
    cursor: pointer;
    display: none;
}

.only-border {
    border-right: 2px solid var(--border-color);
    margin-left: -20px;
    margin-right: -18px;
}

#theme-icon {
    height: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

/* footer */

.main-footer h2 {
    font-size: 2rem;
    font-weight: 600;
    text-align: center;
}

.footer-section {
    background: var(--secondary-bg-color);
    color: var(--text-color);
    padding: 30px;
    position: relative;
}

.footer-links {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    padding: 20px 0;
}

.footer-links a {
    transition: 0.5s ease;
}

.footer-links a:hover {
    color: var(--main-color);
}

.footer-social {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-bottom: 20px;
}

.footer-social h3 {
    font-weight: 600;
}

.footer-social a i {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    height: 50px;
    width: 50px;
    border: 3px solid var(--main-color);
    border-radius: 50px;
    transition: 0.7s ease;
}

.footer-social a i:hover {
    color: var(--primary-bg-color);
    background: var(--main-color);
}

/* sub-footer start */

.subfooter h4 {
    color: var(--text-color);
    font-weight: 600;
    text-align: center;
    margin-top: 7px;
}


@media screen and (max-width: 840px) {
    #open-menu {
        display: block;
    }

    .box-icon div {
        position: relative;
        width: 35px;
        height: 30px;
    }

    .box-icon span {
        background-color: var(--text-color);
        height: 3px;
        width: 90%;
        display: block;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        transition: 0.3s ease-in-out;
    }

    .box-icon .line-1 {
        transform: translate(-50%, -9px);
    }

    .box-icon .line-3 {
        transform: translate(-50%, 6px);
    }

    .openmenu .line-1 {
        transform: translate(-50%, -50%) rotate(-45deg);
    }

    .openmenu .line-2 {
        width: 0;
    }

    .openmenu .line-3 {
        transform: translate(-50%, -50%) rotate(45deg);
    }

    .only-border {
        display: none;
    }

    .main-nav {
        flex-direction: column;
        position: absolute;
        left: 100%;
        top: 100%;
        justify-content: center;
        align-items: center;
        width: 100%;
        padding: 30px 0;
        height: 100vh;
        background-color: var(--primary-bg-color);
        transition: 0.4s all ease;
    }

    .main-nav.active {
        left: 0;
    }

    #pop-up-menu {
        flex-direction: column;
    }

    #pop-up-menu ul {
        flex-direction: column;
        align-items: center;
    }

    .pop {
        position: static;
        margin-top: 5px;
    }

    /* #theme-icon {
        margin-top: -18px;
    } */

    /* .main-nav a {
        margin-top: -15px;
    } */
}

@media screen and (max-width: 530px) {
    header {
        padding: 10px 30px;
    }

    .logo {
        font-size: 1.40rem;
    }

    .box-icon div {
        width: 31px;
    }

    .main-heading {
        font-size: 1.60rem;
        margin-top: 88px;
    }
    .main-footer h2 {
        text-align: start;
    }

    .footer-links {
        flex-direction: column;
        justify-content: flex-start;
        align-items: start;
    }

    .footer-social {
        justify-content: flex-start;
    }
}

@media screen and (max-width: 479px) {
    .main-footer h2 {
        font-size: 1.50rem;
        text-align: start;
    }

    .footer-links {
        gap: 15px;
        flex-direction: column;
        justify-content: flex-start;
        align-items: start;
    }
    .footer-social {
        justify-content: flex-start;
    }
}

@media screen and (max-width: 425px) {
    header {
        padding: 10px 25px;
    }

    .main-heading {
        font-size: 1.50rem;
    }

    .footer-links a {
        font-size: 0.9rem;
    }

    .footer-social h3 {
        font-size: 1rem;
    }

    .footer-social a {
        font-size: 1.20rem;
    }

    .footer-social a i {
        height: 41px;
        width: 41px;
    }
}